Bug 1996045 - [SCC] openshift-apiserver degraded when a SCC with high priority is created
Summary: [SCC] openshift-apiserver degraded when a SCC with high priority is created
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.7.z
Assignee: Wally
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1996044
Blocks: 1996051
TreeView+ depends on / blocked
 
Reported: 2021-08-20 12:04 UTC by OpenShift BugZilla Robot
Modified: 2021-09-15 09:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-15 09:16:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 468 0 None None None 2021-08-23 10:10:54 UTC
Red Hat Product Errata RHBA-2021:3422 0 None None None 2021-09-15 09:17:06 UTC

Comment 1 Xingxing Xia 2021-08-23 08:49:51 UTC
In env launched with the open PR using cluster-bot, pre-merge-verified the issue would be gone:
$ oc get clusterversion
NAME      VERSION                                                  AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.ci.test-2021-08-23-072735-ci-ln-pmv8lxt-latest   True        False         48m     Cluster version is 4.7.0-0.ci.test-2021-08-23-072735-ci-ln-pmv8lxt-latest

Create above k10-k10 SCC. Then delete one pod under openshift-apiserver project. Check the new created pod, it can be Running.
Check YAML of new pod under openshift-apiserver project, it uses system scc:
$ oc get po apiserver-99b48b76b-92nxd -n openshift-apiserver -o yaml | grep scc
    openshift.io/scc: node-exporter
Check YAML of all pods under openshift-apiserver project, they set 'runAsUser: 0' for containers 'openshift-apiserver' and 'fix-audit-permissions'

Comment 6 errata-xmlrpc 2021-09-15 09:16:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.30 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3422


Note You need to log in before you can comment on or make changes to this bug.